import iconGold from "./assets/icons/gold/gold_pile_25.png";
import iconBlood from "./assets/icons/blood.png";
import iconEnforcer from "./assets/icons/enforcer.png";
import iconThrall from "./assets/icons/thrall.png";
import iconLegend from "./assets/icons/legend.png";
import iconWisdom from "./assets/icons/wisdom.png";
import {Resource} from "./model/resources.ts";

export function iconFilename(resource: Resource, _amount: number) {
  switch (resource) {
    case Resource.Gold:
      // TODO: Consider other icons
      return iconGold;
    case Resource.Blood:
      return iconBlood;
    case Resource.Enforcer:
      return iconEnforcer;
    case Resource.Thrall:
      return iconThrall;
    case Resource.Legend:
      return iconLegend;
    case Resource.Wisdom:
      return iconWisdom;
  }
}

export function Icon({resource, amount}: {resource: Resource, amount: number}) {
  return <img alt={`${resource} (${amount})`} class={"icon"} src={iconFilename(resource, amount)} />;
}