import {Model} from "./model.ts";
import {Resource} from "./resources.ts";

export const TurnDuration: number = 1000;

export class Lifecycle {
  didSetup: boolean
  lastTurn: number = Date.now()

  constructor() {
    this.didSetup = false
  }

  setupGameIfUnstarted(model: Model) {
    if (this.didSetup) { return }
    this.didSetup = true;

    // set up game
    model.resources.receive({[Resource.Enforcer]: 1})
  }

  recordTurn() {
    this.lastTurn = Date.now()
  }

  turnProgress() {
    return Math.max(Math.min(1.0, (Date.now() - this.lastTurn) / TurnDuration), 0.0);
  }

}